{% extends 'HCUEPacienteBundle::layout.html.twig' %}
{% block title %}Paciente {% endblock title %}
{% block bradcrumbs '' %}
    {% block page_header_content '' %}
        {% block page_main_content %}
            <div class="row">
                <div class="page-header">
                    <h1>Aceptación vacunas </h1>
                </div>

                {% if form is defined and not form is empty %}
                    {% set myaction=path('hcue_paciente_aceptavacuna_createorupdate') %}
                    {{ form_start(form, {'action': myaction,'attr': {'id': 'frmaceptavacuna', 'onKeypress':"if(event.keyCode == 13) event.returnValue = false;"}}) }}
                        {{ form_widget(form) }}
                    <div class="center">
                        <button id="send_form" type="button" class="width-35 btn btn-sm btn-primary">
                            <i class="ace-icon fa fa-send"></i>
                            <span class="bigger-110">Enviar</span>
                        </button>
                    </div>

                    {{ form_end(form) }}
                {% endif %}
            </div>
        {% endblock page_main_content %}
        {% block foot_script %}
            {{ parent() }}
            <script type="text/javascript">

                $( document ).ready(function() {
                    var form_cttipoidentificacion=$("#form_cttipoidentificacion");

                    $('#frmaceptavacuna').initInputsForm();
                    $("#frmaceptavacuna").validationForm();
                    $("#form_cttipoidentificacion option[value=8]").remove();
                    $("#form_cttipoidentificacion option[value=9]").remove();

                    form_cttipoidentificacion.change(function (){
                        $("#form_identificacion").removeClass("cedula");
                        if($(this).val()==6){
                            $("#form_identificacion").addClass("cedula");
                        }
                    });
                    $('#send_form').click(function (){
                        if(form_cttipoidentificacion.val()==5){

                        }

                        $.ajax({
                            type: 'POST',
                            dataType: 'json',
                            async: true,
                            url:  "{{ path('hcue_paciente_aceptavacuna_validate') }}",
                            data: $("#frmaceptavacuna").serialize(),
                            success: function (json) {
                                $.processWait.hide();
                                if (json.status) {
                                    $("#frmaceptavacuna").submit();
                                } else {
                                    $.alert(json.message, 'danger');
                                }
                            }
                        })

                    });
                })

            </script>
        {% endblock foot_script %}
